E-MailRelay

Classes | Namespaces
gserver.h File Reference
`#include "gdef.h"`
`#include "ggettext.h"`
`#include "gserverpeer.h"`
`#include "gexceptionsink.h"`
`#include "gexception.h"`
`#include "gsocket.h"`
`#include "glistener.h"`
`#include "glimits.h"`
`#include "gevent.h"`
`#include <utility>`
`#include <memory>`
`#include <string>`

Go to the source code of this file.

## Classes
struct | GNet::ServerConfig
| A configuration structure for GNet::Server. More...
class | GNet::Server
| A network server class which listens on a specific port and spins off ServerPeer objects for each incoming connection. More...
class | GNet::ServerPeerInfo
| A structure used in GNet::Server::newPeer(). More...

## Namespaces
namespace | GNet
| Network classes.